- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTab Class Reference

Search for all occurrences

## Detailed Description

Definition at line 304 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTab:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Tab }
enum | StyleOptionVersion { Version = 1 }
enum | TabPosition { Beginning, Middle, End, OnlyOneTab }
enum | SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected }
enum | CornerWidget { NoCornerWidgets = 0x00, LeftCornerWidget = 0x01, RightCornerWidget = 0x02 }
## Public Member Functions
| QStyleOptionTab ()
| QStyleOptionTab (const QStyleOptionTab &other)
## Public Attributes
QTabBar::Shape | shape
QString | text
QIcon | icon
int | row
TabPosition | position
SelectedPosition | selectedPosition
CornerWidgets | cornerWidgets
## Protected Member Functions
| QStyleOptionTab (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 307 of file qstyleoption.h.

    { Type = SO_Tab };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionTabV2, and QStyleOptionTabV3.

Definition at line 308 of file qstyleoption.h.

    { Version = 1 };

enum TabPosition

Search for all occurrences

Enumerator:

  Beginning | Search for all occurrences
  Middle | Search for all occurrences
  End | Search for all occurrences
  OnlyOneTab | Search for all occurrences

Definition at line 310 of file qstyleoption.h.

    { Beginning, Middle, End, OnlyOneTab };

enum SelectedPosition

Search for all occurrences

Enumerator:

  NotAdjacent | Search for all occurrences
  NextIsSelected | Search for all occurrences
  PreviousIsSelected | Search for all occurrences

Definition at line 311 of file qstyleoption.h.

    { NotAdjacent, NextIsSelected, PreviousIsSelected };

enum CornerWidget

Search for all occurrences

Enumerator:

  NoCornerWidgets | Search for all occurrences
  LeftCornerWidget | Search for all occurrences
  RightCornerWidget | Search for all occurrences

Definition at line 312 of file qstyleoption.h.

                          { NoCornerWidgets = 0x00, LeftCornerWidget = 0x01,
                            RightCornerWidget = 0x02 };

## Constructor & Destructor Documentation

QStyleOptionTab | ( |  | ) |

QStyleOptionTab | ( | const QStyleOptionTab & | other | ) | `[inline]`

Definition at line 325 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionTab | ( | int | version | ) | `[protected]`

## Member Data Documentation

QTabBar::Shape shape

Search for all occurrences

Definition at line 316 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 317 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 318 of file qstyleoption.h.

int row

Search for all occurrences

Definition at line 319 of file qstyleoption.h.

TabPosition position

Search for all occurrences

Definition at line 320 of file qstyleoption.h.

SelectedPosition selectedPosition

Search for all occurrences

Definition at line 321 of file qstyleoption.h.

CornerWidgets cornerWidgets

Search for all occurrences

Definition at line 322 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab
QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab QStyleOptionTab